{"revision":"c10276e953456835cdbb1f3a60d58ae1980be353","document":{"id":30461,"path":"it-operations-management/event-management/integrate-azure-api-key.md","title":"Integrate Azure with REST API key token","bundle":null,"doc_type":null,"release":"australia","body":"\n# Integrate Azure with REST API key token\n\nIntegrate using an API key to establish secure communication and automate data exchange via REST API. This simplifies integration, enabling seamless access to services and enhancing operational efficiency.\n\n## Before you begin\n\nRole required: evt\\_mgmt\\_integration\n\n## Procedure\n\n1.  Navigate to **All** &gt; **System Web Services** &gt; **API Access Policies** &gt; **REST API Key**.\n\n    \\[Omitted image \"em-rest-api-navigation.png\"\\] Alt text: Rest API navigation\n\n2.  Select **New**.\n\n3.  On the form, fill the fields.\n\n    **Note:** The user needs to be created with the evt\\_mgmt\\_integration role. Create a new one on the sys\\_user table to use here to facilitate the right access.\n\n    |Field|Description|\n    |-----|-----------|\n    |Name|Name to identify the REST API Key|\n    |Description|Description for the REST API Key.|\n    |Active|Status of the REST API Key.|\n    |User|User associated to the REST API Key. Use the look-up icon to select the user.|\n    |Auth Scope|Option to add auth scope to manage the authority of the REST API Key.|\n    |Token|The REST API key generated by the ServiceNow AI Platform. Copy the key to use as part of the REST API call within the Header or Query parameter.|\n    |Expiry|Time after which the credential is no longer valid. Empty value means no expiration.|\n\n4.  Unlock Auth Scope and add: UserAccount.\n\n5.  Use the form menu and select **Save**.\n\n    The system generates a token and saves it in the **Token** field. To see the token, use the lock icon and copy the contents display below the field. This is your query parameter \\(or header\\) value when your other system sends a REST API request to ServiceNow.\n\n    \\[Omitted image \"em-rest-api-token.png\"\\] Alt text: Rest API token generated in the Token field.\n\n\n**Parent Topic:**[Integrate Azure Monitor as an authenticated data source](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/it-operations-management/event-management/azure-integration.md)\n\n"}}